BudgieAppletInfo: budgie-desktop Reference Manual

## BudgieAppletInfo BudgieAppletInfo |

## Functions

BudgieAppletInfo * | budgie_applet_info_new_from_uuid ()
BudgieAppletInfo * | budgie_applet_info_new ()

## Properties

char * | alignment | Read / Write
gpointer | applet | Read / Write / Construct
char * | description | Read / Write
char * | icon | Read / Write
char * | name | Read / Write
int | position | Read / Write
gpointer | settings | Read / Write / Construct
char * | uuid | Read / Write

## Types and Values

struct | BudgieAppletInfo

## Object Hierarchy

        GObject
        ╰── BudgieAppletInfo

## Description

## Functions

### budgie_applet_info_new_from_uuid ()

    BudgieAppletInfo *
    budgie_applet_info_new_from_uuid (const char *uuid);

### budgie_applet_info_new ()

    BudgieAppletInfo *
    budgie_applet_info_new (PeasPluginInfo *plugin_info,
                            const char *uuid,
                            BudgieApplet *applet,
                            GSettings *settings);

## Types and Values

### struct BudgieAppletInfo

    struct BudgieAppletInfo;

This type is private to the panel implementation, and is used to monitor, track, and control each applet instance.

## Property Details

### The `“alignment”` property

      “alignment”                char *

Set the applet alignment.

Owner: BudgieAppletInfo

Flags: Read / Write

Default value: "start"

### The `“applet”` property

      “applet”                   gpointer

Set the applet instance.

[type BudgieApplet]

Owner: BudgieAppletInfo

Flags: Read / Write / Construct

### The `“description”` property

      “description”              char *

Set the applet description.

Owner: BudgieAppletInfo

Flags: Read / Write

Default value: NULL

### The `“icon”` property

      “icon”                     char *

Set the applet icon.

Owner: BudgieAppletInfo

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     char *

Set the applet name.

Owner: BudgieAppletInfo

Flags: Read / Write

Default value: NULL

### The `“position”` property

      “position”                 int

Set the applet position.

Owner: BudgieAppletInfo

Flags: Read / Write

Allowed values: [-1000,1000]

Default value: 0

### The `“settings”` property

      “settings”                 gpointer

Set the applet GSettings.

[type GSettings]

Owner: BudgieAppletInfo

Flags: Read / Write / Construct

### The `“uuid”` property

      “uuid”                     char *

Set the applet UUID.

Owner: BudgieAppletInfo

Flags: Read / Write

Default value: NULL